Package org.apache.tools.ant.taskdefs.optional.junitlauncher.confined

## Class TestDefinition.ForkedRepresentation

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.junitlauncher.confined.TestDefinition.ForkedRepresentation

- Enclosing class:
    TestDefinition

      public abstract static class TestDefinition.ForkedRepresentation
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ForkedRepresentation()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract void` | `write​(JUnitLauncherTask task, javax.xml.stream.XMLStreamWriter writer)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForkedRepresentation

          public ForkedRepresentation()

  - ### Method Detail

    - #### write

          public abstract void write​(JUnitLauncherTask task,
                                     javax.xml.stream.XMLStreamWriter writer)
                              throws javax.xml.stream.XMLStreamException

      Throws:
        `javax.xml.stream.XMLStreamException`